export class DnsCollection extends Contract {
    /**
     * @param provider
     * @param options   {{collectionContent: Cell, dnsItemCodeHex: string, address?: Address | string, code?: Cell}}
     */
    constructor(provider: any, options: {
        collectionContent: Cell;
        dnsItemCodeHex: string;
        address?: Address | string;
        code?: Cell;
    });
    /**
     * @return {Promise<{collectionContent: Cell}>}
     */
    getCollectionData(): Promise<{
        collectionContent: Cell;
    }>;
    /**
     * @param nftItem   {DnsItem}
     * @return {Promise<{isInitialized: boolean, index: BN, collectionAddress: Address|null, ownerAddress: Address|null, contentCell: Cell}>}
     */
    getNftItemContent(nftItem: DnsItem): Promise<{
        isInitialized: boolean;
        index: BN;
        collectionAddress: Address | null;
        ownerAddress: Address | null;
        contentCell: Cell;
    }>;
    /**
     * @param index {BN}
     * @return {Promise<Address>}
     */
    getNftItemAddressByIndex(index: BN): Promise<Address>;
    /**
     * @param domain    {string} e.g "sub.alice.ton"
     * @param category?  {string} category of requested DNS record, null for all categories
     * @param oneStep? {boolean} non-recursive
     * @returns {Promise<Cell | Address | AdnlAddress | StorageBagId | null>}
     */
    resolve(domain: string, category: any, oneStep: any): Promise<Cell | Address | AdnlAddress | StorageBagId | null>;
}
import { Contract } from "../../contract/index.js";
import { Cell } from "../../boc";
import { Address } from "../../utils";
//# sourceMappingURL=DnsCollection.d.ts.map