export class SubscriptionContract extends Contract {
    /**
     * @param provider
     * @param options   {{wc: number, wallet: Address, beneficiary: Address, amount: BN, period: number, timeout: number, startAt: number, subscriptionId: number, address?: Address | string}}
     */
    constructor(provider: any, options: {
        wc: number;
        wallet: Address;
        beneficiary: Address;
        amount: BN;
        period: number;
        timeout: number;
        startAt: number;
        subscriptionId: number;
        address?: Address | string;
    });
    /**
     * Payment body (from wallet to subscription)
     * @return {Cell}
     */
    createBody(): Cell;
    /**
     * Destroy plugin body (from wallet to subscription OR from beneficiary to subscription)
     * @return {Cell}
     */
    createSelfDestructBody(): Cell;
    getSubscriptionData(): Promise<{
        wallet: string;
        beneficiary: string;
        amount: any;
        period: any;
        startAt: any;
        timeout: any;
        lastPayment: any;
        lastRequest: any;
        failedAttempts: any;
        subscriptionId: any;
    }>;
    /**
     * @protected
     * @return {Promise<{address: Address, signature: Uint8Array, message: Cell, cell: Cell, body: Cell, resultMessage: Cell}>}
     */
    protected createPayExternalMessage(): Promise<{
        address: Address;
        signature: Uint8Array;
        message: Cell;
        cell: Cell;
        body: Cell;
        resultMessage: Cell;
    }>;
}
import { Contract } from "../index.js";
import { Cell } from "../../boc";
//# sourceMappingURL=index.d.ts.map