export class JettonMinter extends Contract {
    /**
     * @param provider
     * @param options   {{adminAddress: Address, jettonContentUri: string, jettonWalletCodeHex: string, address?: Address | string, code?: Cell}}
     */
    constructor(provider: any, options: {
        adminAddress: Address;
        jettonContentUri: string;
        jettonWalletCodeHex: string;
        address?: Address | string;
        code?: Cell;
    });
    /**
     * params   {{jettonAmount: BN, destination: Address, amount: BN, queryId?: number}}
     * @return {Cell}
     */
    createMintBody(params: any): Cell;
    /**
     * params   {{queryId?: number, newAdminAddress: Address}}
     * @return {Cell}
     */
    createChangeAdminBody(params: any): Cell;
    /**
     * params   {{jettonContentUri: string, queryId?: number}}
     * @return {Cell}
     */
    createEditContentBody(params: any): Cell;
    /**
     * @return {Promise<{ totalSupply: BN, isMutable: boolean, adminAddress: Address|null, jettonContentCell: Cell, jettonContentUri: string|null, jettonWalletCode: Cell }>}
     */
    getJettonData(): Promise<{
        totalSupply: BN;
        isMutable: boolean;
        adminAddress: Address | null;
        jettonContentCell: Cell;
        jettonContentUri: string | null;
        jettonWalletCode: Cell;
    }>;
    /**
     * params   {{ownerAddress: Address}}
     * @return {Promise<Address>}
     */
    getJettonWalletAddress(ownerAddress: any): Promise<Address>;
}
import { Contract } from "../../index";
import { Cell } from "../../../boc";
import { Address } from "../../../utils";
//# sourceMappingURL=JettonMinter.d.ts.map