export const SNAKE_DATA_PREFIX: 0;
export const CHUNK_DATA_PREFIX: 1;
export const ONCHAIN_CONTENT_PREFIX: 0;
export const OFFCHAIN_CONTENT_PREFIX: 1;
/**
 * @param cell  {Cell}
 * @return {Address|null}
 */
export function parseAddress(cell: Cell): Address | null;
/**
 * @param uri   {string}
 * @returns {Uint8Array}
 */
export function serializeUri(uri: string): Uint8Array;
/**
 * @param bytes {Uint8Array}
 * @return {string}
 */
export function parseUri(bytes: Uint8Array): string;
/**
 * @param uri {string}
 * @return {Cell}
 */
export function createOffchainUriCell(uri: string): Cell;
/**
 * @param cell {Cell}
 * @returns {string}
 */
export function parseOffchainUriCell(cell: Cell): string;
/**
 * @param provider {HttpProvider}
 * @param address {string}
 * @return {Promise<{royalty: number, royaltyFactor: number, royaltyBase: number, royaltyAddress: Address}>}
 */
export function getRoyaltyParams(provider: HttpProvider, address: string): Promise<{
    royalty: number;
    royaltyFactor: number;
    royaltyBase: number;
    royaltyAddress: Address;
}>;
import { Cell } from "../../../boc";
import { Address } from "../../../utils";
//# sourceMappingURL=NftUtils.d.ts.map