/**
 * @param cell {Cell}
 * @return {{seqno: number, bounce: boolean, payload: string, fromAddress: Address|null, expireAt: number, toAddress: Address, value: BN}}
 */
export function parseWalletV3TransferQuery(cell: Cell): {
    seqno: number;
    bounce: boolean;
    payload: string;
    fromAddress: Address | null;
    expireAt: number;
    toAddress: Address;
    value: BN;
};
/**
 * @param slice {Slice}
 * @return {{seqno: number, bounce: boolean, payload: string, expireAt: number, toAddress: Address, value: BN}}
 */
export function parseWalletV3TransferBody(slice: Slice): {
    seqno: number;
    bounce: boolean;
    payload: string;
    expireAt: number;
    toAddress: Address;
    value: BN;
};
//# sourceMappingURL=WalletQueryParser.d.ts.map