export class BlockSubscription {
    /**
     * @param provider  {TonWeb.HttpProvider}
     * @param storage   persistent storage for storing block numbers that we have already processed.
     * @param onBlock {(blockHeader: BlockHeader) => Promise<void>} callback which is called for of each block.
     *                                                       callback may throw an error, in this case the block processing will be interrupted and block will not be saved in the storage as processed.
     *                                                       shardchain blocks are processed OUT of chronological order.
     *                                                       masterchain blocks are processed in chronological order.
     *                                                       for masterchain workchain === -1 and shardId === '-9223372036854775808'
     * @param options? {startMcBlockNumber:? number, mcInterval?: number, shardsInterval?: number} start masterchain block number from which we start to process blocks.
     *                                     if not specified, the subscription starts from the last block of the network at the time of launch.
     */
    constructor(provider: TonWeb.HttpProvider, storage: any, onBlock: (blockHeader: BlockHeader) => Promise<void>, options: any);
    provider: TonWeb.HttpProvider;
    storage: any;
    onBlock: (blockHeader: BlockHeader) => Promise<void>;
    startMcBlockNumber: any;
    mcInterval: any;
    shardsInterval: any;
    start(): Promise<void>;
    startLT: any;
    mcIntervalId: NodeJS.Timer;
    shardsIntervalId: NodeJS.Timer;
    stop(): void;
}
//# sourceMappingURL=BlockSubscription.d.ts.map